#
# Copyright (c) 2012 Fixpoint Inc. All rights reserved.
# ---
#
# ネットワークアドレス処理用関数定義
#

function oct2int()
{
    local octs bit i
    octs=$1

    for i in 1 2 3 4; do
        bit=${bit}$(printf "%08d" \
        $(echo 'ibase=10;obase=2;'$(cut -d '.' -f $i <<<$octs) |bc))
    done
    echo 'ibase=2;obase=A;'$bit | bc
}

function int2oct()
{
    local inet octs
    inet=$1

    for ((i=0; $i<3; i++))
    do
        octs=.$(echo "$inet % 256" |bc)${octs}
        inet=$(echo "$inet / 256" |bc)
    done
    octs=$(echo "$inet % 256" |bc)${octs}
    echo $octs
}

